Category Features, Object ProFeature

Function ProFeatureElemtreeExtract


Description
Creates a copy of the feature element tree. Preferred over ProFeatureElemtreeCreate() Since it provides options to resolve the paths of external references of the feature.
Replacement in Object TOOLKIT: wfcWFeature::GetElementTree
Synopsis
#include <ProFeature.h>
ProErrorProFeatureElemtreeExtract(
ProFeature* feature
/* (In)
The feature.
*/
ProAsmcomppath* path
/* (In)
The path used to resolve references from the element tree. Can be NULL, but trees which lack the proper external references may not be usable to redefine the feature with external references.
*/
ProFeatureElemtreeExtractOptions opts
/* (In)
The options used for the extraction. Pass PRO_FEAT_EXTRACT_NO_OPTS for now.
*/
ProElement* p_elem
/* (Out)
The root element of the feature element tree. Free this using ProFeatureElemtreeFree().
*/
)
Returns
PRO_TK_NO_ERRORThe function successfully created the feature element tree.
PRO_TK_BAD_INPUTSThe input argument is invalid.
PRO_TK_INVALID_TYPEExtraction of the element tree is not supported for this feature type.
See Also
ProAnalysis.h
ProAsmcomp.h
ProBeltFeat.h
ProChamfer.h
ProContact3dFeat.h
ProDamperFeat.h
ProDesignatedArea.h
ProDraft.h
ProDtmAxis.h
ProDtmCrv.h
ProDtmCsys.h
ProDtmPln.h
ProDtmPnt.h
ProElemId.h
ProExtrude.h
ProFeatIntr.h
ProFixture.h
ProFlatSrf.h
ProForeignCurve.h
ProHole.h
ProMfgoper.h
ProMerge.h
ProMirror.h
ProMove.h
ProNcseq.h
ProNcseqElem.h
ProPattern.h
ProProcstep.h
ProReplace.h
ProRevolve.h
ProRib.h
ProRound.h
ProShell.h
ProSmtFlangeWall.h
ProSmtFlatWall.h
ProSmtForm.h
ProSolidify.h
ProSmtPunchQuilt.h
ProStdSection.h
ProSurfReg.h
ProSweep.h
ProThicken.h
ProTrim.h
ProToolElem.h
ProValue.h
ProWcell.h

Manual References:

  1. User Interface: Curve and Surface Collection: Access of Collection Object from Feature Element Trees
  2. Assembly: Assembling Components: Assembling Components by Element Tree
  3. Element Trees: Draft Features: Accessing a Draft
  4. Element Trees: Draft Features: Accessing a VPDD
  5. Element Trees: Principles of Feature Creation: Feature Inquiry
  6. Element Trees: Principles of Feature Creation: Feature Inquiry
  7. Element Trees: Principles of Feature Creation: To Redefine a Feature
  8. Element Trees: Principles of Feature Creation: Tips for Recycling XML Output of Element Trees
  9. Element Trees: References: Reading References
  10. Element Trees: Edit Menu Features: Accessing a Mirror Feature
  11. Element Trees: Edit Menu Features: Accessing a Move Feature
  12. Element Trees: Edit Menu Features: Accessing a Fill Feature
  13. Element Trees: Edit Menu Features: Accessing a Merge Feature
  14. Element Trees: Edit Menu Features: Accessing a Trim Feature
  15. Element Trees: Edit Menu Features: Accessing a Thicken Feature
  16. Element Trees: Edit Menu Features: Accessing a Solidify Feature
  17. Element Trees: Edit Menu Features: Accessing the Remove Feature
  18. Element Trees: Edit Menu Features: Accessing the Attach Feature
  19. Production Applications: Manufacturing: Creating NC Sequences
  20. Production Applications: Process Planning: Creating Process Steps
  21. Element Trees: Round and Chamfer: Accessing a Round
  22. Element Trees: Round and Chamfer: Accessing a Chamfer
  23. Element Trees: Round and Chamfer: Accessing a Corner Chamfer
  24. Element Trees: Sketched Features: To Create Sketched Features Element Trees
  25. Element Trees: Sweep: To Create a Sweep Feature
  26. Element Trees: Sweep: Creating a Simple Sweep Feature
  27. Production Applications: Sheetmetal: Accessing a Flat Wall Feature
  28. Production Applications: Sheetmetal: Accessing a Flange Wall Feature
  29. Production Applications: Sheetmetal: Accessing a Extend Wall Feature
  30. Production Applications: Sheetmetal: Accessing a Split Area Feature
  31. Production Applications: Sheetmetal: Accessing a Punch or Die Form Feature
  32. Production Applications: Sheetmetal: Accessing a Quilt Form Feature
  33. Production Applications: Sheetmetal: Accessing a Flatten Form Feature
  34. Production Applications: Sheetmetal: Accessing a Rip Feature
  35. Element Trees: Shell: Accessing a Shell Feature

Sample Code References:

  1. pt_examples ( TestAnalysisCsys.c )
  2. pt_examples ( TestAnalysisCsys.c )
  3. pt_examples ( TestAsm.c )
  4. pt_examples ( TestAsm.c )
  5. pt_examples ( TestProcstep.c )
  6. pt_examples ( TestFeats.c )
  7. pt_examples ( UtilFeats.c )
  8. pt_examples ( SketchFeatureCreate.c )
  9. pt_examples ( TestExtrude.c )
  10. pt_examples ( TestClCmd.c )
  11. pt_examples ( UtilSect.c )
  12. pt_examples ( UtilSect.c )
  13. pt_examples ( TestCollect.c )
  14. pt_examples ( UtilTree.c )
  15. pt_examples ( UtilTree.c )
  16. pt_examples ( UtilTree.c )
  17. pt_examples ( UtilTree.c )
  18. pt_userguide ( Ug3DSectSplineDim.c )
  19. pt_userguide ( Ug3DSectSplineDim.c )
  20. pt_userguide ( Ug3DSection.c )
  21. pt_userguide ( Ug3DSweepCreate.c )
  22. pt_userguide ( Ug3DSweepCreate.c )
  23. pt_userguide ( UgCreoSweepCreate.c )
  24. pt_userguide ( UgCreoSweepCreate.c )
  25. pt_userguide ( UgSketchedCurveCreate.c )
  26. pt_userguide ( UgSketchedPointCreate.c )
  27. pt_userguide ( UgSktExtrusionCut.c )
  28. pt_userguide ( UgSktExtrusionProtrusion.c )
  29. pt_userguide ( UgSktExtrusionSurfaceCapped.c )
  30. pt_userguide ( UgSktExtrusionSurfaceTrim.c )
  31. pt_userguide ( UgSktExtrusionTemplate.c )
  32. pt_userguide ( UgSktExtrusionThin.c )
  33. pt_userguide ( UgSktFirstFeatureCreate.c )
  34. pt_userguide ( UgSktFirstFeatureRevCreate.c )
  35. pt_userguide ( UgSktRevolveProtrusion.c )
  36. pt_userguide ( UgSktRevolveSurface.c )
  37. pt_userguide ( UgSktRevolveTemplate.c )
  38. pt_userguide ( UgSktRevolveThinCut.c )
  39. pt_userguide ( UgSweepCreate.c )
  40. pt_userguide ( UgSweepCreate.c )
  41. pt_userguide ( UgXMLFeat.c )
  42. pt_userguide ( UgXMLFeat.c )
  43. pt_userguide ( UgMfgMillSeqCreate.c )
  44. pt_userguide ( UgMfgWcellCreate.c )